zenilib: zenilib/jni/external/lib3ds/src/lib3ds_chunk.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
lib3ds_chunk.c File Reference
`#include "lib3ds_impl.h"`

Go to the source code of this file.

## Functions

void | lib3ds_chunk_read (Lib3dsChunk *c, Lib3dsIo *io)
void | lib3ds_chunk_read_end (Lib3dsChunk *c, Lib3dsIo *io)
uint16_t | lib3ds_chunk_read_next (Lib3dsChunk *c, Lib3dsIo *io)
void | lib3ds_chunk_read_reset (Lib3dsChunk *c, Lib3dsIo *io)
void | lib3ds_chunk_read_start (Lib3dsChunk *c, uint16_t chunk, Lib3dsIo *io)
void | lib3ds_chunk_read_tell (Lib3dsChunk *c, Lib3dsIo *io)
void | lib3ds_chunk_unknown (uint16_t chunk, Lib3dsIo *io)
void | lib3ds_chunk_write (Lib3dsChunk *c, Lib3dsIo *io)
void | lib3ds_chunk_write_end (Lib3dsChunk *c, Lib3dsIo *io)
void | lib3ds_chunk_write_start (Lib3dsChunk *c, Lib3dsIo *io)

## Function Documentation

void lib3ds_chunk_read | ( | Lib3dsChunk * | c,
|  | Lib3dsIo * | io
| ) |  |

Reads a 3d-Studio chunk header from a little endian file stream.

Parameters

  c | The chunk to store the data.
  io | The file stream.

Returns
  True on success, False otherwise.

Definition at line 34 of file lib3ds_chunk.c.

References assert, Lib3dsChunk::chunk, Lib3dsChunk::cur, Lib3dsChunk::end, lib3ds_io_log(), lib3ds_io_read_dword(), lib3ds_io_read_word(), lib3ds_io_tell(), LIB3DS_LOG_ERROR, and Lib3dsChunk::size.

Referenced by lib3ds_atmosphere_read(), lib3ds_background_read(), lib3ds_chunk_read_start(), and lib3ds_shadow_read().

void lib3ds_chunk_read_end | ( | Lib3dsChunk * | c,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 96 of file lib3ds_chunk.c.

References Lib3dsChunk::end, Lib3dsIo::impl, lib3ds_io_seek(), and LIB3DS_SEEK_SET.

Referenced by ambient_read(), color_read(), distance_cue_read(), face_array_read(), fog_read(), int_percentage_read(), kfdata_read(), layer_fog_read(), lib3ds_camera_read(), lib3ds_file_read(), lib3ds_light_read(), lib3ds_material_read(), lib3ds_mesh_read(), lib3ds_node_read(), lib3ds_viewport_read(), mdata_read(), named_object_read(), solid_bgnd_read(), spotlight_read(), texture_map_read(), and v_gradient_read().

uint16_t lib3ds_chunk_read_next | ( | Lib3dsChunk * | c,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 68 of file lib3ds_chunk.c.

References assert, Lib3dsChunk::chunk, Lib3dsChunk::cur, d, Lib3dsChunk::end, lib3ds_chunk_name(), lib3ds_io_log(), lib3ds_io_read_dword(), lib3ds_io_read_word(), lib3ds_io_seek(), LIB3DS_LOG_INFO, LIB3DS_SEEK_SET, Lib3dsIo::log_func, and Lib3dsChunk::size.

Referenced by ambient_read(), color_read(), distance_cue_read(), face_array_read(), fog_read(), int_percentage_read(), kfdata_read(), layer_fog_read(), lib3ds_camera_read(), lib3ds_file_read(), lib3ds_light_read(), lib3ds_material_read(), lib3ds_mesh_read(), lib3ds_node_read(), lib3ds_viewport_read(), mdata_read(), named_object_read(), solid_bgnd_read(), spotlight_read(), texture_map_read(), and v_gradient_read().

void lib3ds_chunk_read_reset | ( | Lib3dsChunk * | c,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 90 of file lib3ds_chunk.c.

References lib3ds_io_seek(), and LIB3DS_SEEK_CUR.

Referenced by kfdata_read(), lib3ds_atmosphere_read(), lib3ds_background_read(), lib3ds_file_read(), lib3ds_light_read(), lib3ds_material_read(), lib3ds_mesh_read(), mdata_read(), and named_object_read().

void lib3ds_chunk_read_start | ( | Lib3dsChunk * | c,
|  | uint16_t | chunk,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 50 of file lib3ds_chunk.c.

References assert, Lib3dsChunk::chunk, Lib3dsIo::impl, lib3ds_chunk_read(), lib3ds_io_log(), and LIB3DS_LOG_ERROR.

Referenced by ambient_read(), color_read(), distance_cue_read(), face_array_read(), fog_read(), int_percentage_read(), kfdata_read(), layer_fog_read(), lib3ds_camera_read(), lib3ds_file_read(), lib3ds_light_read(), lib3ds_material_read(), lib3ds_mesh_read(), lib3ds_node_read(), lib3ds_viewport_read(), mdata_read(), named_object_read(), solid_bgnd_read(), spotlight_read(), texture_map_read(), and v_gradient_read().

void lib3ds_chunk_read_tell | ( | Lib3dsChunk * | c,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 62 of file lib3ds_chunk.c.

References Lib3dsChunk::cur, and lib3ds_io_tell().

Referenced by distance_cue_read(), face_array_read(), fog_read(), layer_fog_read(), lib3ds_camera_read(), lib3ds_light_read(), lib3ds_viewport_read(), named_object_read(), spotlight_read(), and v_gradient_read().

void lib3ds_chunk_unknown | ( | uint16_t | chunk,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 140 of file lib3ds_chunk.c.

References lib3ds_chunk_name(), lib3ds_io_log(), LIB3DS_LOG_WARN, and Lib3dsIo::log_func.

Referenced by ambient_read(), color_read(), distance_cue_read(), face_array_read(), fog_read(), int_percentage_read(), kfdata_read(), layer_fog_read(), lib3ds_camera_read(), lib3ds_file_read(), lib3ds_light_read(), lib3ds_material_read(), lib3ds_mesh_read(), lib3ds_node_read(), lib3ds_viewport_read(), mdata_read(), named_object_read(), solid_bgnd_read(), spotlight_read(), texture_map_read(), and v_gradient_read().

void lib3ds_chunk_write | ( | Lib3dsChunk * | c,
|  | Lib3dsIo * | io
| ) |  |

Writes a 3d-Studio chunk header into a little endian file stream.

Parameters

  c | The chunk to be written.
  io | The file stream.

Returns
  True on success, False otherwise.

Definition at line 111 of file lib3ds_chunk.c.

References assert, Lib3dsChunk::chunk, lib3ds_io_write_dword(), lib3ds_io_write_word(), and Lib3dsChunk::size.

Referenced by color_write(), colorf_write(), face_array_write(), flag_array_write(), int_percentage_write(), kfdata_write(), lib3ds_atmosphere_write(), lib3ds_background_write(), lib3ds_camera_write(), lib3ds_file_write(), lib3ds_light_write(), lib3ds_material_write(), lib3ds_mesh_write(), lib3ds_node_write(), lib3ds_shadow_write(), lib3ds_viewport_write(), mdata_write(), object_flags_write(), point_array_write(), texco_array_write(), and texture_map_write().

void lib3ds_chunk_write_end | ( | Lib3dsChunk * | c,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 129 of file lib3ds_chunk.c.

References assert, Lib3dsChunk::cur, lib3ds_io_seek(), lib3ds_io_tell(), lib3ds_io_write_dword(), LIB3DS_SEEK_SET, and Lib3dsChunk::size.

Referenced by face_array_write(), kfdata_write(), lib3ds_atmosphere_write(), lib3ds_camera_write(), lib3ds_file_write(), lib3ds_light_write(), lib3ds_material_write(), lib3ds_mesh_write(), lib3ds_node_write(), lib3ds_viewport_write(), mdata_write(), and texture_map_write().

void lib3ds_chunk_write_start | ( | Lib3dsChunk * | c,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 119 of file lib3ds_chunk.c.

References assert, Lib3dsChunk::chunk, Lib3dsChunk::cur, lib3ds_io_tell(), lib3ds_io_write_dword(), lib3ds_io_write_word(), and Lib3dsChunk::size.

Referenced by face_array_write(), kfdata_write(), lib3ds_atmosphere_write(), lib3ds_camera_write(), lib3ds_file_write(), lib3ds_light_write(), lib3ds_material_write(), lib3ds_mesh_write(), lib3ds_node_write(), lib3ds_viewport_write(), mdata_write(), and texture_map_write().